GuitarCalibrationData
Keywords: wiiremotej.GuitarCalibrationData class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class GuitarCalibrationData

    java.lang.Object
      wiiremotej.GuitarCalibrationData

    public class GuitarCalibrationData

extends java.lang.Object

Contains calibration data for use in WRGuitarExtensionEvents. Immutable. Be aware that if buttons are held when the controller is first connected (or the remote is turned on while the controller is plugged in), calibration data may be inaccurate.

Method Summary
`double` | `analogXCenter()` Returns analogXCenter.
`double` | `analogXMaximum()` Returns analogXMaximum.
`double` | `analogXMinimum()` Returns analogXMinimum.
`double` | `analogYCenter()` Returns analogYCenter.
`double` | `analogYMaximum()` Returns analogYMaximum.
`double` | `analogYMinimum()` Returns analogYMinimum.
`double` | `whammyBarMax()` Returns whammyBarMax.
`double` | `whammyBarZero()` Returns whammyBarZero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### analogXCenter

    public double analogXCenter()

  Returns analogXCenter.

  Returns:
    analogXCenter.

### analogXMaximum

    public double analogXMaximum()

  Returns analogXMaximum.

  Returns:
    analogXMaximum.

### analogXMinimum

    public double analogXMinimum()

  Returns analogXMinimum.

  Returns:
    analogXMinumum.

### analogYCenter

    public double analogYCenter()

  Returns analogYCenter.

  Returns:
    analogYCenter.

### analogYMaximum

    public double analogYMaximum()

  Returns analogYMaximum.

  Returns:
    analogYMaximum.

### analogYMinimum

    public double analogYMinimum()

  Returns analogYMinimum.

  Returns:
    analogYMinumum.

### whammyBarZero

    public double whammyBarZero()

  Returns whammyBarZero.

  Returns:
    whammyBarZero.

### whammyBarMax

    public double whammyBarMax()

  Returns whammyBarMax. whammyBarMax is the maximum value for the whammyBar WITHOUT zero adjustment. Actual max is whammyBarMax-whammyBarZero. Always is 31.

  Returns:
    whammyBarMax.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD